### Method

# Fwupd Client set_feature_flags_async

since: 1.5.0

#### Declaration [src]

    void
    fwupd_client_set_feature_flags_async (
      FwupdClient* self,
      FwupdFeatureFlags feature_flags,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer callback_data
    )

#### Description [src]

Sets the features the client supports. This allows firmware to depend on specific front-end features, for instance showing the user an image on how to detach the hardware.

Available since: 1.5.0

#### Parameters

`feature_flags`

  Type: `FwupdFeatureFlags`

  Feature flags, e.g. `FWUPD_FEATURE_FLAG_UPDATE_TEXT`.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  The function to run on completion.

  The argument can be `NULL`.

`callback_data`

  Type: `gpointer`

  The data to pass to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.